using Microsoft.Extensions.Configuration;
using Microsoft.Extensions.DependencyInjection;

namespace PARR.DAL.Configurations.DbSettings
{
    internal class DBConfigurationSource : IConfigurationSource
    {
        private readonly IServiceCollection services;

        public DBConfigurationSource(IServiceCollection services)
        {
            this.services = services;
        }

        public IConfigurationProvider Build(IConfigurationBuilder builder)
        {
            return new DBConfigurationProvider(services);
        }
    }
}
